<?php

require_once ("formulaire.class.php");
require_once ("modeleelement.class.php");

class modelelogiciel extends modeleelement {

function modelelogiciel($id,&$db,$DEBUG,$nature) {
  $this->constructeur($id,$db,$DEBUG);
  $this->nature=$nature;
  $this->classe="logiciel";
} // fin constructeur

function setvalF($val){
  parent::setvalF($val);
  if ($this->nature=="logiciel")
    $this->valF['integre'] = $val['integre'];
    $this->valF['reseau'] = $val['reseau'];
}

function setSelect(&$form, $maj,$db,$debug) {
  parent::setSelect($form, $maj,$db,$debug);
  if($maj<2){
    if ($this->nature=="logiciel") {
      $contenu=array();
      $contenu[0]=array('f','v');
      $contenu[1]=array('Non','Oui');
      $form->setSelect("integre",$contenu);
      $contenu=array();
      $contenu[0]=array('f','v');
      $contenu[1]=array('Non','Oui');
      $form->setSelect("reseau",$contenu);
    }
  }
}

function setType(&$form,$maj) {
  parent::setType($form,$maj); 
  if ($maj < 2) { //ajouter et modifier
    if ($this->nature=="logiciel") {
        $form->setType('integre', 'select');
        $form->setType('reseau', 'select');
    }
  }
}

function setLib(&$form,$maj) {
  parent::setLib($form,$maj);
  $form->setLib('libmodele','Logiciel');
  $form->setLib('idmarque','Editeur');
  if ($this->nature=="logiciel") {
    $form->setLib('integre','Recherché');
    $form->setLib('reseau','Edition');
  }
}

}// fin de classe
?>